Bug 193518 - gnome-bluetooth package does not install gconf-schema
gnome-bluetooth package does not install gconf-schema
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-29 19:52 EDT by Christoph Wickert
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-30 06:12:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2006-05-29 19:52:57 EDT
Description of problem:
Gnome-bluetooth includes a gconf-schema for gnome-obex-server, which is not
installed correctly. The specfile lacks something like

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/gnome-obex-server.schemas > /dev/null || :

Same for %pre and %preun, see
http://fedoraproject.org/wiki/ScriptletSnippets#head-ff64cd482595764f672082d5a3b83e1fc22962e8

Without the schema the user is not able to set the default download dir or
enable/disable notifications with gconf-editor.

Version-Release number of selected component (if applicable):
gnome-bluetooth-0.7.0-3

How reproducible:
Always

Steps to Reproduce:
1. install gnome-bluetooth and gconf-editor
2. start gconf-editor and look for apps/gnome-obex-server
  
Actual results:
No gnome-obex-server in gconf-editor

Expected results:
There should be two configuration keys: "receive_notification" and "savedir"

Additional info:
http://lists.gnomehack.com/pipermail/gnome-bluetooth/2006-May/001151.html
Comment 1 Harald Hoyer 2006-05-30 05:44:40 EDT
right, thank you very much :)

Note You need to log in before you can comment on or make changes to this bug.